Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Looking for MSA media

 
SOLVED
Go to solution
Highlighted
Keith L Walker
Occasional Contributor

Looking for MSA media

Does anyone know where I can get installation media for MSA (Pathworks for Mac) for VMS 7.n?

The story:

We are planning to upgrade from VMS 6.2 to 7.3-2 sometime soon. Currently, our print queues use a lot of custom Postscript setup modules that are tightly integrated with the MSA symbiont. We don't want to have to redevelop the Postscript code.

Problem is, we no longer have media for MSA, which has been unsupported for several years. We do still have the installation savesets for the version we are currently running on VMS 6.2, but when I try to install it on 7.3, I get the following error:
%DCL-W-ACTIMAGE, error activating image VMI$KWD:ATK$MANAGER
-CLI-E-IMGNAME, image file OMEGA$DKA200:[SYS0.SYSUPD.MSA013]ATK$MANAGER.EXE;1
-SYSTEM-W-SYSVERDIF, system version mismatch; please relink
%VMSINSTAL-E-INSFAIL, The installation of MSA V1.3 has failed.

So, does anyone have a version of MSA kicking around that will install on V7.n?

Thanks.
Keith Walker
Alberta Dept. of Energy
4 REPLIES 4
Highlighted
John Gillings
Honored Contributor

Re: Looking for MSA media

Keith,

I'm not sure if there is a version that runs on V7.3. It's a long time since the product fell out of the support window.

If you're adventurous, here's a long shot... you may be able to "register" ATK$MANAGER to bypass the SYSVERDIF check.

By default, the image activator will check the versions and reject any apparent mismatches. In practice however, there are cases where there were no incompatible changes affecting a particular image. That's what the privileged image registry is for - to tell OpenVMS that it's OK to activate those images.

Note this does NOT "make it work", but if you're lucky, the image might be safe.

Obviously this is unsupported!

See

$ @SYS$UPDATE:REGISTER_PRIVILEGED_IMAGE HELP

for details on how it works. Given that the SYSVERDIF error occurs inside VMSINSTAL, you'll also need to break apart the kit and do the installation steps manually.

If it works, great, if not, sorry!
A crucible of informative mistakes
Highlighted
Keith L Walker
Occasional Contributor

Re: Looking for MSA media

Thanks, John!

That was exactly the answer I wanted.

Unfortunately, the installation ACCVIOed. I guess that means that there really IS a version incompatibility in there somewhere! :-) Darn! 'Twas worth the effort, though.

Keith Walker
Alberta Dept. of Energy
Highlighted
Robert Gezelter
Honored Contributor

Re: Looking for MSA media

Keith,

Do you know the details about the "dependencies"? As one who has done a fair amount of PostScript programming and instructing (I used to speak at DECUS symposia on PostScript), it may not be all that much of a problem.

- Bob Gezelter, http://www.rlgsc.com
Highlighted
Alex Daniels
Frequent Advisor
Solution

Re: Looking for MSA media

V1.3A supports VMS 7.1, but will probably work with any 7.x version.

I believe SRI now own Pathworks for MAC http://www.softresint.com/

You could get a copy from them or HP.